features:
  secondary:
    - name: "Azure Blob storage support"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/administration/object_storage.html#azure-blob-storage'
      reporter: joshlambert
      stage: enablement
      categories:
        - 'Omnibus Package'
        - 'Cloud Native Installation'
        - 'GitLab Runner'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/25877'
      description: |
        Both GitLab and GitLab Runner now support [Azure Blob storage](https://docs.gitlab.com/ee/administration/object_storage.html#azure-blob-storage),
        making it easier to run GitLab services on Azure.

        GitLab instances support Azure for all object storage types, including: LFS files, CI artifacts, [backups](https://docs.gitlab.com/ee/raketasks/backup_restore.html#using-azure-blob-storage),
        and more. To configure Azure Blob storage, follow the instructions for [Omnibus](https://docs.gitlab.com/ee/administration/object_storage.html#azure-blob-storage) or [Helm chart](https://docs.gitlab.com/charts/advanced/external-object-storage/#azure-blob-storage) installations.

        GitLab Runners also support Azure for storing the [distributed cache](https://docs.gitlab.com/runner/configuration/advanced-configuration.html#the-runnerscache-section). Azure storage can be configured
        using the [`[runners.cache.azure]`](https://docs.gitlab.com/runner/configuration/advanced-configuration.html#the-runnerscache-section) section.
